Summary:	An IDE tailored to the needs of Qt developers
Summary(pl.UTF-8):	IDE dostosowane do potrzeb developerow Qt
Name:		qt-creator
Version:	4.13.0
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		X11/Development/Tools
Source0:	http://download.qt.io/official_releases/qtcreator/4.13/%{version}/%{name}-opensource-src-%{version}.tar.xz
# Source0-md5:	de422b823ddf4d5c70bdfa455d96e1b9
URL:		http://doc.qt.io/qt-5/topics-app-development.html
BuildRequires:	Qt5Concurrent-devel >= 5.9.0
BuildRequires:	Qt5Designer-devel >= 5.9.0
BuildRequires:	Qt5Gui-devel >= 5.9.0
BuildRequires:	Qt5Help-devel >= 5.9.0
BuildRequires:	Qt5Network-devel >= 5.9.0
BuildRequires:	Qt5Quick-controls >= 5.9.0
BuildRequires:	Qt5Quick-devel >= 5.9.0
BuildRequires:	Qt5Script-devel >= 5.9.0
BuildRequires:	Qt5Svg-devel >= 5.9.0
BuildRequires:	Qt5UiTools-devel >= 5.9.0
BuildRequires:	Qt5WebKit-devel >= 5.9.0
BuildRequires:	Qt5Xml-devel >= 5.9.0
BuildRequires:	clang-devel >= 6.0.0
BuildRequires:	gdb
BuildRequires:	libstdc++-devel
BuildRequires:	llvm-devel >= 7.0.0
BuildRequires:	qt5-build >= 5.9.0
BuildRequires:	qt5-linguist
BuildRequires:	qt5-qmake >= 5.9.0
BuildRequires:	rpmbuild(macros) >= 1.602
Requires(post,postun):	desktop-file-utils
%requires_eq	Qt5Core
Requires:	Qt5Gui-platform-xcb
Requires:	Qt5Quick-controls
Requires:	Qt5Sql-sqldriver-sqlite3
Requires:	hicolor-icon-theme
Requires:	qt5-qtdeclarative
# for xdg-open
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	'libClangsupport\.so.*'

%description
Qt Creator is a cross-platform integrated development environment
(IDE) tailored to the needs of Qt developers.

%description -l pl.UTF-8
Qt Creator to wieloplatformowe IDE dostosowane do potrzeb developerow
Qt.

%prep
%setup -q -n %{name}-opensource-src-%{version}

# fix unresolved symbols in libQtcSsh
echo >> src/libs/ssh/ssh_dependencies.pri
echo "LIBS += -ldl" >> src/libs/ssh/ssh_dependencies.pri

sed -i '1s|^#!.*python\b|#!%{__python}|' src/shared/qbs/src/3rdparty/python/bin/dmgbuild

%build
export QTDIR=%{_libdir}/qt5
# the qmakespec in qt4 is somewhat broken, need to look at this
#export QMAKESPEC=%{_datadir}/qt4/mkspecs/linux-g++/

qmake-qt5 qtcreator.pro \
	IDE_LIBRARY_BASENAME="%{_lib}" \
	LLVM_INSTALL_DIR="%{_prefix}" \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CFLAGS_ISYSTEM=-I \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

export QTDIR=%{_libdir}/qt5
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/qtcreator.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/qtcreator/*.prl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qbs
%attr(755,root,root) %{_bindir}/qbs-config
%attr(755,root,root) %{_bindir}/qbs-config-ui
%attr(755,root,root) %{_bindir}/qbs-create-project
%attr(755,root,root) %{_bindir}/qbs-setup-android
%attr(755,root,root) %{_bindir}/qbs-setup-qt
%attr(755,root,root) %{_bindir}/qbs-setup-toolchains
%attr(755,root,root) %{_bindir}/qtcreator
%{_sysconfdir}/ld.so.conf.d/qtcreator.conf
%dir %{_libexecdir}/qtcreator
%attr(755,root,root) %{_libexecdir}/qtcreator/buildoutputparser
%attr(755,root,root) %{_libexecdir}/qtcreator/clangbackend
%attr(755,root,root) %{_libexecdir}/qtcreator/cpaster
%attr(755,root,root) %{_libexecdir}/qtcreator/dmgbuild
%attr(755,root,root) %{_libexecdir}/qtcreator/perfparser
%attr(755,root,root) %{_libexecdir}/qtcreator/qbs_processlauncher
%attr(755,root,root) %{_libexecdir}/qtcreator/qml2puppet
%attr(755,root,root) %{_libexecdir}/qtcreator/qtcreator_process_stub
%attr(755,root,root) %{_libexecdir}/qtcreator/qtc-askpass
%attr(755,root,root) %{_libexecdir}/qtcreator/qtpromaker
%attr(755,root,root) %{_libexecdir}/qtcreator/sdktool
%dir %{_libdir}/qtcreator
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so.*.*
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.1
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.4
%dir %{_libdir}/qtcreator/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/lib*.so
%dir %{_libdir}/qtcreator/plugins/qbs
%dir %{_libdir}/qtcreator/plugins/qbs/plugins
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libclangcompilationdbgenerator.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libiarewgenerator.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libkeiluvgenerator.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libmakefilegenerator.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_cpp_scanner.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libqbs_qt_scanner.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qbs/plugins/libvisualstudiogenerator.so
%dir %{_libdir}/qtcreator/plugins/qmldesigner
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libassetexporterplugin.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libcomponentsplugin.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libqmlpreviewplugin.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/qmldesigner/libqtquickplugin.so
%{_datadir}/qtcreator
%{_datadir}/metainfo/org.qt-project.qtcreator.appdata.xml
%{_desktopdir}/org.qt-project.qtcreator.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Fri Nov 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-creator.git;a=log;h=master

* Fri Nov 20 2020 Jan Palus <atler@pld-linux.org> b3b47ca
- release 2 (by relup.sh)

* Sun Sep 13 2020 Jan Rękorajski <baggins@pld-linux.org> 35dc880
- up to 4.13.0

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> b58bd1f
- up to 4.12.1

* Sat Apr 18 2020 Jan Rękorajski <baggins@pld-linux.org> 73ad57c
- release 3 (by relup.sh)

* Mon Apr 13 2020 Jan Palus <atler@pld-linux.org> e598916
- llvm rebuild
- release 2 (by relup.sh)

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> 87fcbcc
- up to 4.11.2

* Wed Mar 04 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d2757f
- release 4 (by relup.sh)

* Tue Feb 04 2020 Jan Palus <atler@pld-linux.org> 666778d
- release 3 (by relup.sh)

* Sun Dec 29 2019 Jan Palus <atler@pld-linux.org> ebd8bd5
- fix shebang in dmgbuild; rel 2

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> eb07e32
- up to 4.10.2

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 09d3cf8
- release 4 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 67727dd
- release 3 (by relup.sh)

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> d64ecac
- llvm rebuild
- release 2 (by relup.sh)

* Sat Jul 20 2019 Bartek Szady <bszx@bszx.eu> e6ea285
- updated to 4.9.2

* Fri Jun 28 2019 Jan Rękorajski <baggins@pld-linux.org> 49bb764
- release 2 (by relup.sh)

* Sat May 11 2019 Jan Rękorajski <baggins@pld-linux.org> 17e2d22
- fix build on x32

* Sat Mar 30 2019 Bartek Szady <bszx@bszx.eu> f0f82be
- updated to 4.8.2

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> 672798b
- release 5 (by relup.sh)

* Tue Nov 27 2018 Jan Rękorajski <baggins@pld-linux.org> 02bfd0a
- rebuild with llvm 7
- release 4 (by relup.sh)

* Wed Aug 08 2018 Jan Rękorajski <baggins@pld-linux.org> b3b358f
- release 3 (by relup.sh)

